=== debian/changelog ===
metkit (1.15.3-2) unstable; urgency=medium

  * Rebuild against eckit 1.32.3

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 04 Nov 2025 10:21:12 +0000

metkit (1.15.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 19 Oct 2025 10:22:46 +0100
