=== debian/watch ===
version=4
https://github.com/ecmwf/metkit/tags .*/v?(\d.*)@ARCHIVE_EXT@
