## metkit 1.15.5

=== debian/changelog ===
metkit (1.15.5-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 04 Dec 2025 08:27:20 +0000
