## metkit 1.15.6

=== debian/changelog ===
metkit (1.15.6-1) unstable; urgency=medium

  * New upstream release
  * Add d/gbp.conf

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 13 Dec 2025 17:23:58 +0000
