## metkit 1.15.7

=== debian/changelog ===
metkit (1.15.7-1) unstable; urgency=medium

  * New upstream release
  * Include d/salsa-ci.yml

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Dec 2025 08:41:43 +0000
