=== debian/changelog ===
metkit (1.15.8-1) unstable; urgency=medium

  * Drop Priority: optional from source in d/control per new policy
  * Standards-Version: 4.7.3
  * New upstream release
  * compare-mars-requests.py renamed compare-mars-requests

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Jan 2026 08:20:03 +0000
