=== debian/changelog ===
metkit (1.16.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 17 Jan 2026 15:45:18 +0000
