## metkit 1.16.2

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -75,6 +75,8 @@
         integer_range
         matcher
         language
+        mars_language
+        mars_language_strict
         obstype
         param_axis
         request
