=== debian/changelog ===
metkit (1.16.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 19 Feb 2026 06:36:54 +0000
