=== debian/control ===
Source: metkit
Section: utils
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (=13),
 architecture-is-64-bit,
 dh-sequence-python3,
 ecbuild (>= 3.7.2-1~),
 libeckit-dev (>= 1.31.4-1~),
 libodc-dev,
 odc (>= 1.6.1-1~),
 libeccodes-dev,
 libeccodes-tools,
 libopenjp2-7-dev
Standards-Version: 4.7.3
Homepage: https://github.com/ecmwf/metkit
Vcs-Browser: https://salsa.debian.org/science-team/metkit
Vcs-Git: https://salsa.debian.org/science-team/metkit.git -b debian/latest

Package: libmetkit0d
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, libmetkit-data
Description: Library for Meteorology tookit, implementing MARS language
 MetKit is a toolkit from ECMWF for manipulating and describing
 meteorological objects, implementing the MARS language and associated
 processing and semantics.
 MARS is the Meteorological Archive Retrieval System from ECMWF.

Package: libmetkit-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Data used by the ECMWF Metkit Library
 MetKit is a toolkit from ECMWF for manipulating and describing
 meteorological objects, implementing the MARS language and associated
 processing and semantics.
 .
 This package contains data used by Metkit

Package: libmetkit-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmetkit0d (= ${binary:Version}),
  ${misc:Depends}, libeckit-dev,
  libodc-dev
Recommends: pkgconf
Description: Development files for the Metkit toolkit
 MetKit is a toolkit from ECMWF for manipulating and describing
 meteorological objects, implementing the MARS language and associated
 processing and semantics.
 .
 This package provides shared libraries and headers.

Package: libmetkit-utils
Multi-Arch: foreign
Architecture: any
Depends: libmetkit0d ( = ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Recommends: libmetkit-dev (= ${binary:Version})
Description: Utilities for the MetKit MARS access library
 MetKit is a toolkit from ECMWF for manipulating and describing
 meteorological objects, implementing the MARS language and associated
 processing and semantics.
 .
 This package contains the tool 'parse-mars-request'
