=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,7 @@
 override_dh_auto_install:
 	dh_auto_install
 	sed -i -e 's%$${_IMPORT_PREFIX}/include%/usr/include/${DEB_HOST_MULTIARCH}%g'   $(CMAKEDIR)/metkit-targets.cmake
+	mv $(DESTDIR)/usr/bin/compare-mars-requests.py $(DESTDIR)/usr/bin/compare-mars-requests
 
 override_dh_auto_test:
 	echo "Metkit fetches data from the internet, and hence the tests can't be run contained at build-time"
